Subject: Re: Legal review results 1: Intellectual property

From: Bruce Lilly <[email-masked]>
Date: Fri, 21 Jan 2005 10:49:21 -0500

>  Date: 2005-01-21 09:40
>  From: Harald Tveit Alvestrand <[email-masked]>
>  
> In this and a few later messages, I'm relaying comments from Jorge 
> Contreras, the IETF's pro bono legal counsel.
> ------------------------------------------------------------
> 1.  Intellectual Property.  I think I understand the reason for including 
> an explicit requirement that IP created in support of IETF activities be 
> usable by IETF on a perpetual basis.  The way this concept is expressed, 
> however, should probably be adjusted slightly to reflect the way IP rights 
> are actually conveyed and licensed.
> 
> Old Text (Sec. 3.1, paragraphs 5-6)
[...]
>    contract.  Some ways of achieving this are by IASA ownership or an
>    open source license; an open source license is preferable.  The IAD
>    shall decide how best to serve the IETF's interests when making such
>    contracts.
> 
> Suggested new text (Sec. 3.1, paragraphs 5-6)
[...]
> ISOC will permit IASA and its designee(s) to have sole control and
> custodianship of such Developed Software, and ISOC
> will not utilize or access such Developed Software in
> connection with any ISOC function other than IETF without
> the written consent of the IAD.  The foregoing rights are not required
> in the case of off-the-shelf or other commercially-available software
>  that is not developed at the expense of ISOC.

Verbosity aside, I don't believe that "sole control and custodianship"
applies to open source software. I am not a lawyer, but the "Old text"
seems not only more easily comprehended [I am reminded of Jonathan
Swift's satirical look at lawyers in Gulliver's Travels, and dismayed
that things haven't improved in 275 years] but seems to be considerably
more favorable to open source software than the proposed "new text";
the latter appears to be heavily biased towards commercial software.

_______________________________________________
Ietf mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ietf

---

From: Scott W Brim <[email-masked]>
Date: Fri, 21 Jan 2005 11:12:02 -0500

> the latter appears to be heavily biased towards commercial software.

I think Jorge's text is much better than what we had.  It fills in 
gaps and eliminates ambiguities.

IETF can still decide whether software developed for it should be made 
available on an open source basis, but that should be up to the IETF. 
  Jorge's text makes that possible.

Scott Brim

---

From: Harald Tveit Alvestrand <[email-masked]>
Date: Mon, 24 Jan 2005 14:12:57 +0100

(explicit CC to Jorge, since I'm interpreting his words)

On reading the text again, I think this text:

> (B)  If an IASA Contract provides for the creation, development or
>  modification of any software (including, without limitation, any
> search tools, indexing tools and the like) ("Developed Software")
> then the IAD shall, whenever reasonable and practical, ensure
> that such contract either (a) grants ownership of such Developed
> Software to ISOC, or (b) grants ISOC a perpetual, irrevocable
> right, on behalf of IASA and IETF, to use, display, distribute,
> reproduce, modify and create derivatives of such Software
> (including, without limitation, pursuant to an open source style
> license).  It is preferred that Developed Software be provided and
> licensed for IASA and IETF use in source code form.

actually is OK for making software free - that would come under the section 
that says:

>.... or (b) grants ISOC a perpetual, irrevocable
> right, on behalf of IASA and IETF, to use, display, distribute,
> reproduce, modify and create derivatives of such Software
> (including, without limitation, pursuant to an open source style
> license).

If we assume that the IETF will never be interested in preventing others 
from using its software, we can remove the stuff that says ".. and ISOC 
will not utilize or access..... without the written consent of the IAD".
Jorge - see any problems with removing this?

The "IASA and its designee(s)" says that IASA, not ISOC, decides to give 
others permission to use it - ISOC can't give orders to IASA to limit it.

                    Harald

---

From: Brian E Carpenter <[email-masked]>
Date: Mon, 24 Jan 2005 15:34:17 +0100

Harald Tveit Alvestrand wrote:
> --On fredag, januar 21, 2005 10:49:21 -0500 Bruce Lilly 
> <[email-masked]> wrote:
> 
> actually is OK for making software free - that would come under the 
> section that says:
> 

We should perhaps ask Jorge to modify his words to ensure that they don't
preclude IASA from using or contributing to open source software.

    Brian